Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
2022-09-20
cURL
curl --request PATCH \ --url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/allowlist/{entry.cidr_ip}/{entry.cidr_mask} \ --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \ --data '{"cidr_ip":"192.168.1.1","cidr_mask":32,"name":"Example","sql":true,"ui":true}'
{ "cidr_ip": "192.168.1.1", "cidr_mask": 32, "name": "Example", "sql": true, "ui": true }
{ "code": 123, "details": [ { "@type": "<string>" } ], "message": "<string>" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
AllowlistEntry
A successful response.